Subject: Unable to boot mainline on snow chromebook since 3.15

From: [email-masked] (Will Deacon)
Date: Mon, 8 Sep 2014 17:07:58 +0100

On Mon, Sep 08, 2014 at 04:55:31PM +0100, Doug Anderson wrote:
> So "simple-framebuffer" is added to the device tree here:
> 
> https://chromium-review.googlesource.com/#/c/49358/2/board/samsung/smdk5250/smdk5250.c
> 
> That's one of the two patches to build your own U-Boot for enabling
> simplefb.  You'll notice that's not a super official thing.  It's a
> "DO NOT SUBMIT" patch sitting in a gerrit code review server, so I
> wouldn't exactly call it a stable ABI that we can't break.  It's not
> something shipping in real products and it's not even landed in a git
> tree (I suppose maybe someone somewhere landed it, but...).

I just took the uboot image linked to from the chromium.org page here:

  http://www.chromium.org/chromium-os/u-boot-porting-guide/using-nv-u-boot-on-the-samsung-arm-chromebook#TOC-Getting-nv-U-Boot

Will